#ifndef VESA_H_
#define VESA_H_

namespace driver {

	/*
	 * VESAドライバ
	 */
	class Vesa : public IVideo {
	protected:
		color_16 *vram_;
		int xSize_, ySize_;
	public:
		void init(void *vram, int xSize, int ySize);
		void WritePoint(int x, int y, color_16 color);
		color_16 GetPoint(int x, int y);
	};

	/*
	 * VESAドライバ
	 * 8bitカラー版
	 */
	class Vesa8 : public IVideo {
	protected:
		byte *vram_;
		int xSize_, ySize_;
	public:
		void init(void *vram, int xSize, int ySize);
		void WritePoint(int x, int y, color_16 color);
		color_16 GetPoint(int x, int y);
	};
	
}

#endif /*VESA_H_*/
